Loading...
Searching...
No Matches
osmium::io::GzipBufferDecompressor Class Referencefinal

`#include <gzip_compression.hpp>`

Inheritance diagram for osmium::io::GzipBufferDecompressor:
[legend]
Collaboration diagram for osmium::io::GzipBufferDecompressor:
[legend]

## Public Member Functions

| GzipBufferDecompressor (const char *buffer, const std::size_t size)
| GzipBufferDecompressor (const GzipBufferDecompressor &)=delete
GzipBufferDecompressor & | operator= (const GzipBufferDecompressor &)=delete
| GzipBufferDecompressor (GzipBufferDecompressor &&)=delete
GzipBufferDecompressor & | operator= (GzipBufferDecompressor &&)=delete
| ~GzipBufferDecompressor () noexcept override
std::string | read () override
void | close () override
Public Member Functions inherited from osmium::io::Decompressor
| Decompressor ()=default
| Decompressor (const Decompressor &)=delete
Decompressor & | operator= (const Decompressor &)=delete
| Decompressor (Decompressor &&)=delete
Decompressor & | operator= (Decompressor &&)=delete
virtual | ~Decompressor () noexcept=default
virtual bool | is_real () const noexcept
void | set_offset_ptr (std::atomic< std::size_t > *offset_ptr) noexcept
void | set_offset (const std::size_t offset) noexcept
bool | want_buffered_pages_removed () const noexcept
void | set_want_buffered_pages_removed (bool value) noexcept

## Private Attributes

const char * | m_buffer
std::size_t | m_buffer_size
z_stream | m_zstream

## Additional Inherited Members

Public Types inherited from osmium::io::Decompressor
enum | { input_buffer_size = 1024U * 1024U }

## Constructor & Destructor Documentation

## GzipBufferDecompressor() [1/3]

osmium::io::GzipBufferDecompressor::GzipBufferDecompressor | ( | const char * | buffer,
|  | const std::size_t | size
| ) |  |

inline

## GzipBufferDecompressor() [2/3]

osmium::io::GzipBufferDecompressor::GzipBufferDecompressor | ( | const GzipBufferDecompressor & |  | ) |

delete

## GzipBufferDecompressor() [3/3]

osmium::io::GzipBufferDecompressor::GzipBufferDecompressor | ( | GzipBufferDecompressor && |  | ) |

delete

## ~GzipBufferDecompressor()

osmium::io::GzipBufferDecompressor::~GzipBufferDecompressor | ( |  | ) |

inline override noexcept

## Member Function Documentation

## close()

void osmium::io::GzipBufferDecompressor::close | ( |  | ) |

inline override virtual

Implements osmium::io::Decompressor.

## operator=() [1/2]

GzipBufferDecompressor & osmium::io::GzipBufferDecompressor::operator= | ( | const GzipBufferDecompressor & |  | ) |

delete

## operator=() [2/2]

GzipBufferDecompressor & osmium::io::GzipBufferDecompressor::operator= | ( | GzipBufferDecompressor && |  | ) |

delete

## read()

std::string osmium::io::GzipBufferDecompressor::read | ( |  | ) |

inline override virtual

Implements osmium::io::Decompressor.

## Member Data Documentation

## m_buffer

const char* osmium::io::GzipBufferDecompressor::m_buffer

private

## m_buffer_size

std::size_t osmium::io::GzipBufferDecompressor::m_buffer_size

private

## m_zstream

z_stream osmium::io::GzipBufferDecompressor::m_zstream

private

The documentation for this class was generated from the following file:

- include/osmium/io/gzip_compression.hpp